#C A sampler of simple period 3 oscillators. 
#C Top: The cross, the star, and the pulsar,
#C formally "pulsar CP 48-56-72".
#C Second row: eaters-3, caterer, keys, loaf-with-jam.
#C Bottom row: hustler, diamond ring, pressure cooker,
#C cuphook (or "MIT oscillator"), trice tongs, and tubber.
#C 
#C 3 is an unusual period for an oscillator; while it
#C is not very hard to set up billiards patterns (like
#C those in the bottom row) that achieve it, "natural"
#C examples arising from decays are rather rare.
#C
#C See also BILLIARDS.
#C Collected by ESR.

## Top row:

#B cross
##Life5
#K p3
#C The cross is a rather pretty period-3 oscillator.
#P -3 -3
..****..
..*..*..
***..***
*......*
*......*
***..***
..*..*..
..****..
#E

#B star
#K p3
#P -5 -5
.....*.....
....***....
..***.***..
..*.....*..
.**.....**.
**.......**
.**.....**.
..*.....*..
..***.***..
....***....
.....*.....
#E

#B pulsar
#K p3
#P -6 -6
..***...***..
.............
*....*.*....*
*....*.*....*
*....*.*....*
..***...***..
.............
..***...***..
*....*.*....*
*....*.*....*
*....*.*....*
.............
..***...***..
#E

## Second row:

#B eaters3
#C A period-3 oscillator consisting of
#C two eaters attempting to devour
#C each other.
#K p3
#P -3 -4
.......*
.....***
....*...
....**..
........
..**....
...*....
***.....
*.......
#E

#B caterer
#K p3
#P -2 -5
.....*..
****...*
...*...*
.......*
....*...
.....**.
#E

#B keys
#K p3
#P -1 -5
.*........*.
*.***..***.*
.*..*..*..*.
....*..*....
#E

#B loaf-with-jam
#K p3
#P -3 -2
....**.
...*..*
.*..*.*
*....*.
*......
..***..
#E

## Bottom row:

#B hustler
#K p3 billiards
#P -7 -6
......*........
.....*.*.......
......*........
...............
....*****......
**..*....*.**..
.*...*...*.*.*.
.*.*.*...*...*.
..**.*....*..**
......*****....
...............
........*......
.......*.*.....
........*......
#E

#B diamond-ring
#K p3 billiards
#P -7 -7
......*......
.....*.*.....
....*.*.*....
....*...*....
..**..*..**..
.*....*....*.
*.*.**.**.*.*
.*....*....*.
..**..*..**..
....*...*....
....*.*.*....
.....*.*.....
......*......
#E

#B pressure-cooker
#K p3 billiards
#P -5 -5
.....*.....
....*.*....
....*.*....
...**.**...
*.*.....*.*
**.*.*.*.**
...*...*...
...*...*...
....***....
...........
...*.**....
...**.*....
#E

#B cuphook
#C Also known as "the MIT oscillator".
#K p3 billiards
#P -4 -3
....**...
...*.*...
...*.....
**.*.....
**.*..*..
....**.*.
.......*.
.......**
#E

#B trice-tongs
#K p3 billiards
#P -3 -3
**.....
**..*..
..**.*.
..*..*
.*...**
..***..
....*..
#E

#B tubber
#K p3 billiards
#P -6 -6 
....*.*......
....**.*.....
.......***...
....**....*..
**.*..**..*..
.*.*....*.**.
*...*...*...*
.**.*....*.*.
..*..**..*.**
..*....**....
...***.......
.....*.**....
......*.*....
#E


#K p3 sampler

#I :cross		20  -20
#I :star		40  -20
#I :pulsar		60  -20

#I :eaters3		20   0
#I :caterer		40  0
#I :keys		60  0
#I :loaf-with-jam	80  0

#I :hustler		 0  20
#I :diamond-ring	20  20
#I :pressure-cooker	40  20
#I :cuphook		60  20
#I :trice-tongs		80  20
#I :tubber	       100  20

